> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Product

> Delete a product.



## OpenAPI

````yaml delete /products/{id}
openapi: 3.1.0
info:
  title: Products API
  version: v1
  description: >-
    The Products API allows managing your shop's products within the Loop
    Platform.


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  contact:
    name: Loop Returns
    url: https://loopreturns.com/
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Products
  - name: Product Variants
paths:
  /products/{id}:
    parameters:
      - schema:
          type: integer
        name: id
        in: path
        required: true
        description: The product's unique identifier.
    delete:
      tags:
        - Products
      summary: Delete Product
      description: Delete a product.
      operationId: delete-product
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductDeleteResponse'
                x-examples:
                  Example 1:
                    id: 562248696549343200
                    success: true
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - write: []
components:
  schemas:
    ProductDeleteResponse:
      title: ProductDeleteResponse
      type: object
      properties:
        id:
          type: integer
          format: int64
          examples:
            - 77892011
          minimum: 1
        success:
          type: boolean
          readOnly: true
  responses:
    Unauthorized:
      description: >-
        Example response if request submitted without a valid API Key in
        X-Authorization.
      content:
        application/json:
          schema:
            type: object
            required:
              - errors
            properties:
              errors:
                type: string
                examples:
                  - Unauthorized.
      headers:
        X-Loop-Request-ID:
          schema:
            type: string
            examples:
              - 5a748e7c-5fcc-4fb0-a777-6a4d28e60d4c
            format: uuid
          description: UUID to aid in debugging API issues
    NotFound:
      description: The requested entity could not be found.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
                examples:
                  - Resource not found.
      headers:
        X-Loop-Request-ID:
          schema:
            type: string
          description: UUID to aid in debugging API issues
  securitySchemes:
    write:
      name: X-Authorization
      type: apiKey
      in: header
      description: 'API Scope: "Product (write)"'

````